.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_OmniLight:

OmniLight
=========

**Inherits:** :ref:`Light<class_light>` **<** :ref:`VisualInstance<class_visualinstance>` **<** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

OmniDirectional Light, such as a light bulb or a candle.

Member Functions
----------------

+------------------------+--------------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_shadow_detail<class_OmniLight_get_shadow_detail>`  **(** **)** const                         |
+------------------------+--------------------------------------------------------------------------------------------------------+
| :ref:`int<class_int>`  | :ref:`get_shadow_mode<class_OmniLight_get_shadow_mode>`  **(** **)** const                             |
+------------------------+--------------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_shadow_detail<class_OmniLight_set_shadow_detail>`  **(** :ref:`int<class_int>` detail  **)** |
+------------------------+--------------------------------------------------------------------------------------------------------+
| void                   | :ref:`set_shadow_mode<class_OmniLight_set_shadow_mode>`  **(** :ref:`int<class_int>` mode  **)**       |
+------------------------+--------------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`float<class_float>` **omni_attenuation**
- :ref:`float<class_float>` **omni_range**
- :ref:`int<class_int>` **omni_shadow_detail**
- :ref:`int<class_int>` **omni_shadow_mode**

Description
-----------

An OmniDirectional light is a type of :ref:`Light<class_light>` node that emits lights in all directions. The light is attenuated through the distance and this attenuation can be configured by changing the energy, radius and attenuation parameters of :ref:`Light<class_light>`.

Member Function Description
---------------------------

.. _class_OmniLight_get_shadow_detail:

- :ref:`int<class_int>`  **get_shadow_detail**  **(** **)** const

.. _class_OmniLight_get_shadow_mode:

- :ref:`int<class_int>`  **get_shadow_mode**  **(** **)** const

.. _class_OmniLight_set_shadow_detail:

- void  **set_shadow_detail**  **(** :ref:`int<class_int>` detail  **)**

.. _class_OmniLight_set_shadow_mode:

- void  **set_shadow_mode**  **(** :ref:`int<class_int>` mode  **)**


